
Orangutan::Redmine - Improvement #535

Check of Redmine plugins availability

11 Jun 2010 20:59 - Andriy Lesyuk

Status: Closed Start date: 28 Jan 2011

Priority: Major Due date: 29 Jan 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.05   

Description

Orangutan utilizes data from database fields and tables created by third-party (not default) Redmine plugins. This means that if some

table or field is missing Orangutan will fail to work with database. This is normal for Softjourn usage but if Orangutan is going to be

used by others Orangutan should be able to detect which plugins are available and to act correspondingly.

History

#1 - 30 Sep 2010 12:29 - Andriy Lesyuk

- Target version set to 1.04

#2 - 15 Oct 2010 18:34 - Andriy Lesyuk

- Target version changed from 1.04 to 1.05

#3 - 29 Oct 2010 23:53 - Andriy Lesyuk

- Category set to Core

#4 - 27 Jan 2011 13:39 - Andriy Lesyuk

I could not find any way to check which plugins are installed... So seems the only option is to check tables and columns:

Table votes added by Vote plugin;

Column votes_value in issues table added by Vote plugin;

Table chart_time_entries added by Charts plugin.

So it seems like we need to check only these three items...

#5 - 29 Jan 2011 00:12 - Andriy Lesyuk

- % Done changed from 0 to 10

- Start date set to 28 Jan 2011

- Status changed from Open to In Progress

#6 - 29 Jan 2011 14:31 - Andriy Lesyuk

- Due date set to 29 Jan 2011

- % Done changed from 10 to 100

- Status changed from In Progress to Closed

#7 - 28 Feb 2011 23:59 - Andriy Lesyuk

- Project changed from Orangutan to Orangutan::Redmine

- Category deleted (Core)

- Priority changed from Minor to Major
